Page MenuHomePhabricator

Locked accounts should have mail-based notifications <s>receipt</s> disabled
Closed, ResolvedPublic

Description

When a user account is locked the ability of emails to be able to be sent to the user should be disabled. This should be to prevent emails to be sent by users to the account, and it should disable any notifications from watchlists, or from personal notifications.

This is highlighted by the recent locking of accounts for people receiving global bans, and that they will be getting notifications drawing them back to the site.

Event Timeline

Billinghurst raised the priority of this task from to Needs Triage.
Billinghurst updated the task description. (Show Details)
Billinghurst added subscribers: Billinghurst, Jalexander.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 26 2015, 11:31 AM

For the record: I agree that this is needed, the only current options we have are very manual and it fits well within the goals of global lock.

hoo added a subscriber: hoo.Jan 30 2015, 7:10 PM
Elitre added a subscriber: Elitre.Jan 30 2015, 11:41 PM
Aklapper triaged this task as Normal priority.Feb 2 2015, 9:56 PM
gerritbot added a subscriber: gerritbot.

Change 189306 had a related patch set uploaded (by Legoktm):
Don't allow locked users to receive email

https://gerrit.wikimedia.org/r/189306

Patch-For-Review

This seems an abuse of the locking feature. We shouldn't invest more in what's a mere hack: what asked here is T17294, which would then allow those users to fix their preferences.

I disagree that this solution is an abuse of the locking process, this about locked accounts, not the political process of locked accounts versus blocked accounts. Locked accounts need to have mail disabled, it is that simple.

When someone resolves the politics and the technical issues about having a global blocking, then whether mail should be disabled to send can be addressed as part of those specifications.

Billinghurst renamed this task from Locked accounts should have mail receipt disabled to Locked accounts should have mail-based notifications <s>receipt</s> disabled.Feb 10 2015, 12:16 AM

Agreed, in the end the goal of Global Locking has always been to completely disable the account and that disabling should include disabling email notifications etc. Having global blocking as an option is a legitimate technical and social discussion, but is separate

Change 189306 merged by jenkins-bot:
Don't allow locked users to receive email

https://gerrit.wikimedia.org/r/189306

Legoktm closed this task as Resolved.Feb 16 2015, 10:37 PM
Legoktm claimed this task.

I strongly disagree with this. There is no purpose to be served other than vindictiveness in denying locked users the ability to receive email.

Jackmcbarn added a subscriber: Jackmcbarn.EditedFeb 17 2015, 2:54 AM

I strongly disagree with this. There is no purpose to be served other than vindictiveness in denying locked users the ability to receive email.

If we didn't do this, they'd be stuck with the emails forever, even if they wanted to turn them off. Then we'd end up getting reported as spam and it would lead to all sorts of problems.

This is about locked accounts, and locked accounts for the gamut of reasons that accounts are locked. It was highlighted by the recent global blocks and the swathe of sock accounts for some of these users, it was not due to the bans. The fix also aligns with a similar issue with regard to stopping notifications from private wikis where a user account had been deactivated.

As mentioned in subsequent comments, a global block would be preferable means to handled banned users rather than a global lock, however, that capacity does not exist. If you think that is a shortcoming, then highlight this to staff, start a phabricator and prosecute the case.

Re vindictiveness. Umm, no use of facilities means no use; email is use; watchlist and notifications are use. It would seem that every contact from Wikimedia is a prod to come and play, and that is not what is wanted by indicatiors of the bans imposed.

jeremyb added a subscriber: jeremyb.Mar 3 2015, 6:55 AM